=== dist/CMakeLists.txt ===

if(UNIX)
	install(FILES stuntrally.desktop sr-editor.desktop DESTINATION "share/applications/")
	install(FILES ../data/gui/stuntrally.png ../data/gui/sr-editor.png DESTINATION "share/icons/hicolor/64x64/apps/")
endif()
