## stuntrally 2.6

=== debian/changelog ===
stuntrally (2.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add gcc-6.patch from AUR to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Apr 2018 18:35:21 -0700

stuntrally (2.6-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Comment out unavailable libmirclient-dev as a build-depend.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 21 Aug 2016 20:44:50 -0700

stuntrally (2.6-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 21 Sep 2015 18:59:58 +0200

stuntrally (2.5-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 16 Nov 2014 20:57:59 +0100

stuntrally (2.4-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 08 Aug 2014 23:37:35 +0200

stuntrally (2.3-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 11 May 2014 16:37:09 +0200

stuntrally (2.2.1-1~getdeb2~trusty) trusty; urgency=low

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Apr 2014 19:51:09 +0200

stuntrally (2.2.1-1~getdeb1) saucy; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Nov 2013 19:24:21 +0100

stuntrally (2.2-1~getdeb1) saucy; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 24 Nov 2013 21:36:57 +0100

stuntrally (2.1-1~getdeb1) saucy; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 02 Nov 2013 16:19:12 +0100

stuntrally (2.0-1~getdeb3~saucy) saucy; urgency=low

  * Rebuild for saucy

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 14 Oct 2013 22:02:32 +0200

stuntrally (2.0-1~getdeb2~quantal) quantal; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 05 May 2013 00:10:44 +0200

stuntrally (1.9-1~getdeb2~quantal) quantal; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 12 Feb 2013 17:15:15 +0100

stuntrally (1.8-1~getdeb3~quantal) quantal; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 03 Nov 2012 14:10:02 +0100

stuntrally (1.7-1~getdeb2) quantal; urgency=low

  * Rebuild for quantal

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 21 Oct 2012 12:16:51 +0200

stuntrally (1.7-1~getdeb1) precise; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 02 Sep 2012 12:10:58 +0200

stuntrally (1.6-1~getdeb2) precise; urgency=low

  * Rebuild for bullet 2.8

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 25 Jul 2012 18:46:18 +0200

stuntrally (1.6-1~getdeb1) oneiric; urgency=low

  * New upstream version (LP: #986027)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 21 Apr 2012 11:30:03 +0200

stuntrally (1.4-1~getdeb2) oneiric; urgency=low

  * Rebuild against Ogre 1.7.4

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 14 Apr 2012 18:48:24 +0200

stuntrally (1.4-1~getdeb1) oneiric; urgency=low

  * New upstream version (LP: #903644)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 26 Feb 2012 20:26:55 +0100

stuntrally (1.1.1-1~getdeb4~natty) natty; urgency=low

  * Rebuild against Ogre 1.7.3

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 12 May 2011 17:00:47 +0200

stuntrally (1.1.1-1~getdeb2~natty) natty; urgency=low

  * Rebuild for natty.

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 22 Apr 2011 17:22:25 +0200

stuntrally (1.1.1-1~getdeb1) lucid; urgency=low

  * Upload to PlayDeb.net (LP: #750861)

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 06 Apr 2011 21:19:29 +0200

stuntrally (1.1.1-0~ppa1~maverick) maverick; urgency=low

  [ Tapio Vierros ]
  * New upstream release

 -- Tapio Vierros <tapiovierros@gmail.com>  Tue, 05 Apr 2011 23:08:11 +0300

stuntrally (1.1-0~ppa1) maverick; urgency=low

  [ Tapio Vierros ]
  * New upstream release

 -- Tapio Vierros <tapiovierros@gmail.com>  Sun, 03 Apr 2011 11:15:43 +0300
