=== debian/control ===
Source: stuntrally
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               pkg-config,
               libogre-1.9-dev,
               libmygui-dev (>= 3.2.0),
               libois-dev,
               libsdl2-dev,
#               libmirclient-dev,
               libogg-dev,
               libvorbis-dev,
               libfreeimage-dev,
               libbullet-dev,
               libbullet-extras-dev,
               libenet-dev,
               libxcursor-dev,
               libboost-dev,
               libboost-wave-dev,
               libopenal-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/vdrift-ogre

Package: stuntrally
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         stuntrally-data (= ${source:Version}),
         stuntrally-tracks (>= 2.6),
         libfreeimage3,
         libzzip-0-13
Description: Rally game with stunt elements
 Rally game with Stunt elements, based on VDrift and OGRE.

Package: stuntrally-data
Architecture: all
Depends: ${misc:Depends},
         ttf-bitstream-vera,
         fonts-liberation
Description: Rally game with stunt elements (data package)
 Rally game with Stunt elements, based on VDrift and OGRE.
 .
 (This package includes data files required by the game.)

Package: stuntrally-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         stuntrally (= ${binary:Version})
Description: Rally game with stunt elements (debug)
 Rally game with Stunt elements, based on VDrift and OGRE.
 .
 (This package includes the debugging symbols)
