## stuntrally 2.6.1

=== debian/changelog ===
stuntrally (2.6.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 05 Nov 2021 11:27:53 -0400

stuntrally (2.6.1-1mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Drop gcc-6.patch: fixed upstream.
  * Drop -dbg package and disable automatic dbgsym packages.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2019 12:51:11 -0800
