=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: stuntrally
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>, SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
 Build-Depends: debhelper (>= 9),
                cmake (>= 2.6),
@@ -44,15 +44,3 @@
  Rally game with Stunt elements, based on VDrift and OGRE.
  .
  (This package includes data files required by the game.)
-
-Package: stuntrally-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
-         stuntrally (= ${binary:Version})
-Description: Rally game with stunt elements (debug)
- Rally game with Stunt elements, based on VDrift and OGRE.
- .
- (This package includes the debugging symbols)
-
