=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_install --list-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=stuntrally-dbg
+	dh_strip --no-automatic-dbgsym
 
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
